Loading...
Searching...
No Matches
xccdf_model Struct Reference
XCCDF

XCCDF scoring model. More...

`#include <xccdf_benchmark.h>`

Collaboration diagram for xccdf_model:
[legend]

## Public Member Functions

OSCAP_API struct xccdf_model * | xccdf_model_new (void)
OSCAP_API struct xccdf_model * | xccdf_model_clone (const struct xccdf_model *old_model)
OSCAP_API void | xccdf_model_free (struct xccdf_model *model)
Getters
Return value is pointer to structure's member. Do not free unless you null the pointer in the structure. Use remove function otherwise.
OSCAP_API const char * | xccdf_model_get_system (const struct xccdf_model *model)
Setters
For lists use add functions. Parameters of set functions are duplicated in memory and need to be freed by caller.
OSCAP_API bool | xccdf_model_set_system (struct xccdf_model *obj, const char *newval)

## Data Fields

char * | system
struct oscap_htable * | params

## Detailed Description

XCCDF scoring model.

The documentation for this struct was generated from the following files:

- item.h
- xccdf_benchmark.h